/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * Copyright (C) 2006-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://openbluesky.kenai.com
 * SCM: https://bitbucket.org/tidalwave/openbluesky-src
 *
 **********************************************************************************************************************/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package it.tidalwave.netbeans.visual.action;

import java.awt.event.MouseEvent;
import java.io.Serializable;
import org.netbeans.api.visual.action.WidgetAction;
import org.netbeans.api.visual.action.WidgetAction.State;
import org.netbeans.api.visual.action.WidgetAction.WidgetMouseEvent;
import org.netbeans.api.visual.widget.Widget;

/***********************************************************************************************************************
 *
 * This action brings a Widget to front whenever the mouse is clicked on it.
 *
 **********************************************************************************************************************/
public class BringToFrontAction extends WidgetAction.Adapter implements Serializable
  {
    private static final long serialVersionUID = 43533767442343245L;

    @Override
    public State mouseClicked (final Widget widget, final WidgetMouseEvent event)
      {
        if (event.getButton() == MouseEvent.BUTTON1)
          {
            widget.bringToFront();
            return State.CONSUMED;
          }

        return State.REJECTED;
      }
  }

